#
# spec file for package python-django-json-widget
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-django-json-widget
Version:        1.1.1
Release:        3.4
Summary:        Django JSON widget for editing the Django jsonfield
License:        MIT
URL:            https://github.com/jmrivas86/django-json-widget
Source:         https://github.com/jmrivas86/django-json-widget/archive/v%{version}.tar.gz#/django-json-widget-%{version}.tar.gz
# PATCH-FIX-OPENSUSE We don't use Django < 3.1
Patch0:         remove-future-requirement.patch
BuildRequires:  %{python_module Django}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django
BuildArch:      noarch
%python_subpackages

%description
Django json widget is an alternative widget that makes it easy to edit the
jsonfield field of django.

%prep
%autosetup -p1 -n django-json-widget-%{version}
chmod a-x django_json_widget/static/dist/img/*.* django_json_widget/static/dist/*.* django_json_widget/static/css/*.*

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export PYTHONPATH=.
%python_expand django-admin-%{$python_bin_suffix} test --settings=tests.settings

%files %{python_files}
%doc AUTHORS.rst README.rst
%license LICENSE
%{python_sitelib}/django_json_widget
%{python_sitelib}/django_json_widget-%{version}.dist-info

%changelog
* Tue Sep  5 2023 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject and autosetup macros.
- Add patch remove-future-requirement.patch, drop future, we do not need
  it.
- Stop using greedy globs in %%files.
* Fri Jun 23 2023 Andreas Schneider <asn@cryptomilk.org>
- Use sle15_python_module_pythons
* Wed Jan  4 2023 Dirk Müller <dmueller@suse.com>
- update to 1.1.1:
  * Fix for issue #51, updates the bundled libs to 9.1.9 and additional
    notes for Django 3.1 changes
  * Added functionality to override version of JSONEditor to use
  * update readme for django 3.1
* Fri Jan  7 2022 John Vandenberg <jayvdb@gmail.com>
- Skip Tumbleweed Python 3.6 incompatible with Django 4
* Tue Apr 28 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.0.1:
  * no changelog
* Thu Feb 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.0.0:
  * Fixed static to work with CDN tools like django-storages
  * Make widget more configurable
  * Fixed an incompatibility with Python 2.7
  * update jsoneditor to latest version
* Wed Feb 20 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary.
* Tue Feb 19 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.2.0
